package com.alterdekim.hearthhack.component.processor.client.request;

import com.alterdekim.Protocol;
import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.ClientRequestBody;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class PurchaseWithGold extends ClientRequestParser {
    @Override
    public void parse(BattleNetPacket packet, ClientRequestBody body, TcpConnection conn) throws Exception {
        // PurchaseWithGoldResponse 280
        Protocol.PurchaseWithGold request = Protocol.PurchaseWithGold.parseFrom(body.getBody());
        log.info("PurchaseWithGold: {}", request);
    }

    @Override
    public int getId() {
        return 279;
    }
}
